summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--gnome-base/gvfs/Manifest1
-rw-r--r--gnome-base/gvfs/gvfs-1.28.0.ebuild128
2 files changed, 129 insertions, 0 deletions
diff --git a/gnome-base/gvfs/Manifest b/gnome-base/gvfs/Manifest
index fd397e88f8b..47ba215078c 100644
--- a/gnome-base/gvfs/Manifest
+++ b/gnome-base/gvfs/Manifest
@@ -1,3 +1,4 @@
DIST gvfs-1.24.2.tar.xz 1627808 SHA256 0949eaedd1df7175f8d7ee2700df8210d1f854b8ee37d963bc32ee7091eeb228 SHA512 4e5a3150ec4a57ca1229653fd2ce91840e8f7c372de8eb3cd9196b83a687c4336b6fd6fec3f6f6dca740ff1033906cce8f42377c45014f4ce7fd9c33bdcedc59 WHIRLPOOL c65c2402a77cb5de3180f9988b6f0c29af3d979863e32943bca70a30dda89197a0747ed18ebfffe6d70a06d790be195a749c7b34afbfd780c80273aacad9844f
DIST gvfs-1.26.2.tar.xz 1680404 SHA256 695b6e0f3de5ac2cb4d188917edef3f13299328150a2413f1a7131d9b2d48d18 SHA512 0745b850d476311c5d1de357f902ff0c18f34be05fc2d047e1435b2ca3732ce6e2f95f9bd41ce100ed590939c45c6f7dcf8274799c7b552d80f56af7919df110 WHIRLPOOL 86116ac7878252e9078c1215198787a96c987e0ac0ef5e06bda24938ec142f7f073755bfa5409aee208ba516a6c36698798a4772d214c9897cbece0d50b6defb
DIST gvfs-1.26.3.tar.xz 1682264 SHA256 a70f75fa60d66f3f478c0c8aec43d0e43455a8cc75a4dfa8029e51c816401b4a SHA512 ce75dbb42c07572b4829deeacee39a1875a894bc874eb6e542ca42c3908150d890b7dbb39fadb744fecdab635fb1fedd3df31fabf5bd7be0fa537714f874c94e WHIRLPOOL d048d411caa614d5aebcb1026af5870d589661f4db527b07f525c1c1a68199e0d6b8a428f6d9afa0291a7222d04c723d1442c08cc132fc1fc30973fc3946da3c
+DIST gvfs-1.28.0.tar.xz 1688520 SHA256 cf72fc0adf0ca702ead5b3fab3c1fa46b09678eb7c1290de7e30bb7cbaf5f704 SHA512 1b58fb1c15e2f70abf5cd846b4737b17043196fbe9ce0b592ba68ddd9016b731201600c3ca97f30c52dc8773dbde604fcab168ae2e42c81ed997b8304a40fd58 WHIRLPOOL 1e9c67d720b73794018e04c4261b7ab601db7426fa50639cab9b436336e78e227611136d01787161ce138fefc8d290b47321d741e6194df8f1282a6caaa8138d
diff --git a/gnome-base/gvfs/gvfs-1.28.0.ebuild b/gnome-base/gvfs/gvfs-1.28.0.ebuild
new file mode 100644
index 00000000000..40d31f63b10
--- /dev/null
+++ b/gnome-base/gvfs/gvfs-1.28.0.ebuild
@@ -0,0 +1,128 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="no"
+GNOME2_LA_PUNT="yes"
+
+inherit autotools bash-completion-r1 eutils gnome2
+
+DESCRIPTION="Virtual filesystem implementation for gio"
+HOMEPAGE="https://wiki.gnome.org/Projects/gvfs"
+
+LICENSE="LGPL-2+"
+SLOT="0"
+
+IUSE="afp archive bluray cdda fuse google gnome-keyring gnome-online-accounts gphoto2 gtk +http ios mtp nfs samba systemd test +udev udisks zeroconf"
+REQUIRED_USE="
+ cdda? ( udev )
+ google? ( gnome-online-accounts )
+ mtp? ( udev )
+ udisks? ( udev )
+ systemd? ( udisks )
+"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-interix ~amd64-linux ~arm-linux ~x86-linux ~sparc-solaris ~x86-solaris"
+
+# Can use libgphoto-2.5.0 as well. Automagic detection.
+RDEPEND="
+ app-crypt/gcr:=
+ >=dev-libs/glib-2.46.2:2
+ sys-apps/dbus
+ dev-libs/libxml2:2
+ net-misc/openssh
+ afp? ( >=dev-libs/libgcrypt-1.2.2:0= )
+ archive? ( app-arch/libarchive:= )
+ bluray? ( media-libs/libbluray )
+ fuse? ( >=sys-fs/fuse-2.8.0 )
+ gnome-keyring? ( app-crypt/libsecret )
+ gnome-online-accounts? ( >=net-libs/gnome-online-accounts-3.7.1 )
+ google? (
+ >=dev-libs/libgdata-0.17.3:=[crypt,gnome-online-accounts]
+ >=net-libs/gnome-online-accounts-3.17.1 )
+ gphoto2? ( >=media-libs/libgphoto2-2.4.7:= )
+ gtk? ( >=x11-libs/gtk+-3.0:3 )
+ http? ( >=net-libs/libsoup-2.42:2.4 )
+ ios? (
+ >=app-pda/libimobiledevice-1.1.5:=
+ >=app-pda/libplist-1:= )
+ mtp? ( >=media-libs/libmtp-1.1.6 )
+ nfs? ( >=net-fs/libnfs-1.9.7 )
+ samba? ( || ( >=net-fs/samba-3.4.6[smbclient] >=net-fs/samba-4[client] ) )
+ systemd? ( sys-apps/systemd:0= )
+ udev? (
+ cdda? ( dev-libs/libcdio-paranoia )
+ virtual/libgudev:=
+ virtual/libudev:= )
+ udisks? ( >=sys-fs/udisks-1.97:2 )
+ zeroconf? ( >=net-dns/avahi-0.6 )
+"
+DEPEND="${RDEPEND}
+ app-text/docbook-xsl-stylesheets
+ dev-libs/libxslt
+ >=dev-util/intltool-0.40
+ virtual/pkgconfig
+ dev-util/gdbus-codegen
+ dev-util/gtk-doc-am
+ test? (
+ >=dev-python/twisted-core-12.3.0
+ || (
+ net-analyzer/netcat
+ net-analyzer/netcat6 ) )
+ !udev? ( >=dev-libs/libgcrypt-1.2.2:0 )
+"
+# libgcrypt.m4, provided by libgcrypt, needed for eautoreconf, bug #399043
+# test dependencies needed per https://bugzilla.gnome.org/700162
+
+# Tests with multiple failures, this is being handled upstream at:
+# https://bugzilla.gnome.org/700162
+RESTRICT="test"
+
+src_prepare() {
+ DOCS="AUTHORS ChangeLog NEWS MAINTAINERS README " # ChangeLog.pre-1.2 README.commits
+
+ if ! use udev; then
+ sed -e 's/gvfsd-burn/ /' \
+ -e 's/burn.mount.in/ /' \
+ -e 's/burn.mount/ /' \
+ -i daemon/Makefile.am || die
+
+ # Uncomment when eautoreconf stops being needed always
+ eautoreconf
+ fi
+
+ gnome2_src_prepare
+}
+
+src_configure() {
+ # --enable-documentation installs man pages
+ # --disable-obexftp, upstream bug #729945
+ gnome2_src_configure \
+ --enable-bash-completion \
+ --with-bash-completion-dir="$(get_bashcompdir)" \
+ --enable-gcr \
+ --disable-gdu \
+ --disable-hal \
+ --with-dbus-service-dir="${EPREFIX}"/usr/share/dbus-1/services \
+ --enable-documentation \
+ $(use_enable afp) \
+ $(use_enable archive) \
+ $(use_enable bluray) \
+ $(use_enable cdda) \
+ $(use_enable fuse) \
+ $(use_enable gnome-keyring keyring) \
+ $(use_enable gnome-online-accounts goa) \
+ $(use_enable google) \
+ $(use_enable gphoto2) \
+ $(use_enable gtk) \
+ $(use_enable ios afc) \
+ $(use_enable mtp libmtp) \
+ $(use_enable nfs) \
+ $(use_enable udev) \
+ $(use_enable udev gudev) \
+ $(use_enable http) \
+ $(use_enable samba) \
+ $(use_enable systemd libsystemd-login) \
+ $(use_enable udisks udisks2) \
+ $(use_enable zeroconf avahi)
+}